利润表
数据集标识:stock.income_statement;证券对象标识示例:XSHE:000001
上市公司报告期利润表事实。金额以currency所指币种的基本单位表示(如CNY为元),每股收益以该币种基本单位/股表示;null表示未知或不适用,不等于0。不同报告期、累计/单季、合并/母公司及披露修订版本不得混合计算。
接口
| 用途 | 方法与路径 |
|---|---|
| 查询数据 | POST /v1/datasets/stock.income_statement/query |
| 契约与当前发布 | GET /v1/datasets/stock.income_statement |
| 准备批量快照 | POST /v1/datasets/stock.income_statement/preparations |
请求参数
可在请求体 where 中作为 field 使用的筛选参数,名称保持契约原名。
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
asset_id | string | 否 | 筛选一个或多个标的标识(<场所码>:<代码>)。 |
security_code | string | 否 | 筛选一个或多个证券代码。 |
market | string | 否 | 市场代码;中文客户端默认 CN。 |
start_date | date | 否 | 查询开始日期,包含该日。 |
end_date | date | 否 | 查询结束日期,包含该日。 |
返回字段
列名保持契约原名,可直接用于 select、where 与结果行。
| 字段名 | 中文名称 | 类型 | 可空 | 说明 |
|---|---|---|---|---|
asset_id | 标的标识 | string | 否 | 与市场无关的标的标识,格式为 <场所码>:<代码>,场所码为 ISO 10383 MIC,例如 XSHE:000001。 |
security_code | 证券代码 | string | 否 | 展示别名:带市场后缀的证券代码,例如 000001.SZ;由 asset_id 换算,不作业务键。 |
market | 市场 | string | 否 | 标的挂牌场所所在的市场,ISO 3166-1 alpha-2 代码,例如 CN;由 asset_id 的场所导出。 |
security_name | 证券名称 | string | 是 | 证券当前使用的简称。 |
reporting_period_end | 报告期 | date | 否 | 财务报告或持仓报告覆盖期间的结束日期。 |
announcement_date | 公告日期 | date | 是 | 公告日期 |
actual_announcement_date | 实际公告日期 | date | 是 | 实际公告日期 |
statement_type | 报表口径 | string | 是 | 报表合并及修订口径;consolidated 表示合并,parent 表示母公司,single_quarter 表示单季,adjusted 表示调整后,pre_adjustment 表示调整前。组合值使用下划线连接。 |
company_type | 公司类型 | string | 是 | 报表适用的一般企业、银行、保险或证券公司模板。 |
reporting_period_type | 报告期类型 | string | 是 | 年报、半年报或季度报告等报告期类型。 |
currency | 币种 | string | 否 | 报表金额字段使用的 ISO 4217 币种代码。 |
basic_eps | 基本每股收益 | decimal | 是 | 基本每股收益 |
diluted_eps | 稀释每股收益 | decimal | 是 | 稀释每股收益 |
total_revenue | 营业总收入 | decimal | 是 | 营业总收入 |
revenue | 营业收入 | decimal | 是 | 营业收入 |
interest_income | 利息收入 | decimal | 是 | 利息收入 |
premium_earned | 已赚保费 | decimal | 是 | 已赚保费 |
fee_and_commission_income | 手续费及佣金收入 | decimal | 是 | 手续费及佣金收入 |
net_commission_income | 手续费及佣金净收入 | decimal | 是 | 手续费及佣金净收入 |
net_other_income | 其他经营净收益 | decimal | 是 | 其他经营净收益 |
net_other_business_income | 其他业务净收益 | decimal | 是 | 同一报告期、累计/单季口径、合并/母公司口径、披露版本及币种的其他业务收入减对应其他业务成本,税前净额,正为收益、负为损失。优先采用直接披露;仅组件齐备且同口径已确认时推导,缺成本不按0;两者俱备时核对冲突。不得作为营业利润之外的额外加项。 |
premium_income | 保险业务收入 | decimal | 是 | 保险业务收入 |
ceded_premiums | 分出保费 | decimal | 是 | 减:分出保费 |
unearned_premium_reserve_change | 提取未到期责任准备金 | decimal | 是 | 提取未到期责任准备金 |
reinsurance_income | 分保费收入 | decimal | 是 | 其中:分保费收入 |
net_securities_brokerage_income | 代理买卖证券业务净收入 | decimal | 是 | 代理买卖证券业务净收入 |
net_securities_underwriting_income | 证券承销业务净收入 | decimal | 是 | 证券承销业务净收入 |
net_asset_management_income | 受托客户资产管理业务净收入 | decimal | 是 | 受托客户资产管理业务净收入 |
other_business_income | 其他业务收入 | decimal | 是 | 其他业务收入 |
fair_value_change_gain | 公允价值变动净收益 | decimal | 是 | 加:公允价值变动净收益 |
investment_income | 投资净收益 | decimal | 是 | 加:投资净收益 |
associate_joint_venture_profit_share | 对联营企业和合营企业的投资收益 | decimal | 是 | 其中:对联营企业和合营企业的投资收益 |
forex_gain | 汇兑净收益 | decimal | 是 | 加:汇兑净收益 |
total_operating_costs | 营业总成本 | decimal | 是 | 营业总成本 |
operating_cost | 营业成本 | decimal | 是 | 减:营业成本 |
interest_expense | 利息支出 | decimal | 是 | 减:利息支出 |
fee_and_commission_expense | 手续费及佣金支出 | decimal | 是 | 减:手续费及佣金支出 |
taxes_and_surcharges | 营业税金及附加 | decimal | 是 | 减:营业税金及附加 |
selling_expense | 销售费用 | decimal | 是 | 减:销售费用 |
administrative_expense | 管理费用 | decimal | 是 | 减:管理费用 |
finance_expense | 财务费用 | decimal | 是 | 减:财务费用 |
asset_impairment_loss | 资产减值损失 | decimal | 是 | 当期计入损益的资产减值有符号净影响:净损失为负,符合适用会计准则且有依据的转回或冲回收益为正;排除单独列示的信用减值,不是资产减值准备余额。不得无条件取绝对值或全局取反。 |
insurance_surrender_payments | 退保金 | decimal | 是 | 退保金 |
insurance_claims_paid | 赔付总支出 | decimal | 是 | 赔付总支出 |
insurance_liability_reserve_change | 提取保险责任准备金 | decimal | 是 | 提取保险责任准备金 |
policyholder_dividend_expense | 保户红利支出 | decimal | 是 | 保户红利支出 |
reinsurance_expense | 分保费用 | decimal | 是 | 分保费用 |
operating_expense | 营业支出 | decimal | 是 | 营业支出 |
recovered_insurance_claims | 摊回赔付支出 | decimal | 是 | 减:摊回赔付支出 |
recovered_insurance_liability_reserve | 摊回保险责任准备金 | decimal | 是 | 减:摊回保险责任准备金 |
recovered_reinsurance_expense | 摊回分保费用 | decimal | 是 | 减:摊回分保费用 |
other_business_cost | 其他业务成本 | decimal | 是 | 其他业务成本 |
operating_profit | 营业利润 | decimal | 是 | 营业利润 |
non_operating_income | 营业外收入 | decimal | 是 | 加:营业外收入 |
non_operating_expense | 营业外支出 | decimal | 是 | 减:营业外支出 |
noncurrent_asset_disposal_loss | 非流动资产处置净损失 | decimal | 是 | 非流动资产处置形成的净损失。 |
profit_before_tax | 利润总额 | decimal | 是 | 利润总额 |
income_tax_expense | 所得税费用 | decimal | 是 | 所得税费用 |
net_income | 净利润 | decimal | 是 | 净利润(含少数股东损益) |
net_income_parent | 净利润 | decimal | 是 | 净利润(不含少数股东损益) |
net_income_nci | 少数股东损益 | decimal | 是 | 少数股东损益 |
other_comprehensive_income | 其他综合收益 | decimal | 是 | 其他综合收益 |
total_comprehensive_income | 综合收益总额 | decimal | 是 | 综合收益总额 |
total_comprehensive_income_parent | 归属于母公司 | decimal | 是 | 归属于母公司(或股东)的综合收益总额 |
total_comprehensive_income_nci | 归属于少数股东的综合收益总额 | decimal | 是 | 归属于少数股东的综合收益总额 |
ebit | 息税前利润 | decimal | 是 | 息税前利润 |
ebitda | 息税折旧摊销前利润 | decimal | 是 | 息税折旧摊销前利润 |
insurance_expense | 保险业务支出 | decimal | 是 | 保险业务支出 |
beginning_undistributed_profit | 年初未分配利润 | decimal | 是 | 年初未分配利润 |
distributable_profit | 可分配利润 | decimal | 是 | 可分配利润 |
rd_expense | 研发费用 | decimal | 是 | 研发费用 |
finance_interest_expense | 财务费用 | decimal | 是 | 财务费用:利息费用 |
finance_interest_income | 财务费用 | decimal | 是 | 财务费用:利息收入 |
transfer_surplus_reserve | 盈余公积转入 | decimal | 是 | 盈余公积转入 |
housing_revolving_fund_transfer | 住房周转金转入 | decimal | 是 | 住房周转金转入 |
transfer_other | 其他转入 | decimal | 是 | 其他转入 |
prior_period_profit_loss_adjustment | 调整以前年度损益 | decimal | 是 | 调整以前年度损益 |
statutory_surplus_reserve_appropriation | 提取法定盈余公积 | decimal | 是 | 提取法定盈余公积 |
public_welfare_fund_appropriation | 提取法定公益金 | decimal | 是 | 提取法定公益金 |
business_development_fund_appropriation | 提取企业发展基金 | decimal | 是 | 提取企业发展基金 |
reserve_fund_appropriation | 提取储备基金 | decimal | 是 | 提取储备基金 |
discretionary_surplus_appropriation | 提取任意盈余公积金 | decimal | 是 | 提取任意盈余公积金 |
employee_bonus_and_welfare | 职工奖金福利 | decimal | 是 | 职工奖金福利 |
profit_available_for_distribution | 可供股东分配的利润 | decimal | 是 | 可供股东分配的利润 |
preferred_share_dividends_payable | 应付优先股股利 | decimal | 是 | 应付优先股股利 |
common_share_dividends_payable | 应付普通股股利 | decimal | 是 | 应付普通股股利 |
common_share_dividends_to_share_capital | 转作股本的普通股股利 | decimal | 是 | 转作股本的普通股股利 |
adjusted_net_income_pre_correction | 扣除非经常性损益后的净利润 | decimal | 是 | 扣除非经常性损益后的净利润(更正前) |
credit_impairment_loss | 信用减值损失 | decimal | 是 | 信用减值损失 |
net_exposure_hedging_gain | 净敞口套期收益 | decimal | 是 | 净敞口套期收益 |
other_asset_impairment_loss | 其他资产减值损失 | decimal | 是 | 来源单独披露的其他资产减值损失科目;其与asset_impairment_loss的包含或重叠关系须依同一报表披露范围确认,不能自动视为独立增量、替代总字段或相加重复计数。 |
amortized_cost_asset_derecognition_gain | 以摊余成本计量的金融资产终止确认收益 | decimal | 是 | 以摊余成本计量的金融资产终止确认收益 |
other_income | 其他收益 | decimal | 是 | 其他收益 |
asset_disposal_income | 资产处置收益 | decimal | 是 | 资产处置收益 |
continuing_operations_net_income | 持续经营净利润 | decimal | 是 | 持续经营净利润 |
discontinued_operations_net_income | 终止经营净利润 | decimal | 是 | 终止经营净利润 |
revision_status | 修订状态 | string | 是 | 来源声明的修订状态:original 原始版,updated 更新版。不同状态分别保留;同一状态的矛盾记录不能互相覆盖。 |
supplemental_item_name | 补充科目名称 | string | 是 | 尚未映射到公共标准字段的补充财务科目名称。 |
supplemental_item_value | 补充科目金额 | decimal | 是 | 补充财务科目按报表币种表示的金额。 |
supplemental_item_type | 补充科目类型 | string | 是 | 补充财务科目的报表或期间分类。 |
字段补充属性
括号中是契约描述(GET /v1/datasets/{datasetId} 的 fields)里的键名。
| 字段名 | 属性 |
|---|---|
basic_eps | 精度(precision):38;小数位数(scale):18;单位(unit):currency/share |
diluted_eps | 精度(precision):38;小数位数(scale):18;单位(unit):currency/share |
total_revenue | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
revenue | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
interest_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
premium_earned | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
fee_and_commission_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_commission_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_other_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_other_business_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
premium_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
ceded_premiums | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
unearned_premium_reserve_change | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
reinsurance_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_securities_brokerage_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_securities_underwriting_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_asset_management_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
other_business_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
fair_value_change_gain | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
investment_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
associate_joint_venture_profit_share | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
forex_gain | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
total_operating_costs | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
operating_cost | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
interest_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
fee_and_commission_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
taxes_and_surcharges | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
selling_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
administrative_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
finance_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
asset_impairment_loss | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
insurance_surrender_payments | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
insurance_claims_paid | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
insurance_liability_reserve_change | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
policyholder_dividend_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
reinsurance_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
operating_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
recovered_insurance_claims | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
recovered_insurance_liability_reserve | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
recovered_reinsurance_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
other_business_cost | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
operating_profit | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
non_operating_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
non_operating_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
noncurrent_asset_disposal_loss | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
profit_before_tax | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
income_tax_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_income_parent | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_income_nci | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
other_comprehensive_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
total_comprehensive_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
total_comprehensive_income_parent | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
total_comprehensive_income_nci | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
ebit | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
ebitda | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
insurance_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
beginning_undistributed_profit | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
distributable_profit | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
rd_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
finance_interest_expense | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
finance_interest_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
transfer_surplus_reserve | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
housing_revolving_fund_transfer | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
transfer_other | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
prior_period_profit_loss_adjustment | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
statutory_surplus_reserve_appropriation | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
public_welfare_fund_appropriation | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
business_development_fund_appropriation | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
reserve_fund_appropriation | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
discretionary_surplus_appropriation | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
employee_bonus_and_welfare | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
profit_available_for_distribution | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
preferred_share_dividends_payable | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
common_share_dividends_payable | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
common_share_dividends_to_share_capital | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
adjusted_net_income_pre_correction | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
credit_impairment_loss | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
net_exposure_hedging_gain | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
other_asset_impairment_loss | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
amortized_cost_asset_derecognition_gain | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
other_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
asset_disposal_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
continuing_operations_net_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
discontinued_operations_net_income | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
revision_status | 枚举(allowedValues):["original", "updated"] |
supplemental_item_value | 精度(precision):38;小数位数(scale):18;单位(unit):currency |
请求示例
向 https://api.<环境域名>/v1/datasets/stock.income_statement/query 发送 POST 请求(服务地址的替换方式见快速开始),请求头为 Authorization: Bearer <API_KEY> 与 Content-Type: application/json,请求体如下:
{
"select": [
"asset_id",
"security_code",
"security_name",
"reporting_period_end",
"announcement_date",
"actual_announcement_date",
"statement_type",
"company_type",
"reporting_period_type"
],
"where": [
{
"field": "asset_id",
"op": "eq",
"value": "XSHE:000001"
},
{
"field": "market",
"op": "eq",
"value": "CN"
},
{
"field": "reporting_period_end",
"op": "gte",
"value": "2026-06-30"
},
{
"field": "reporting_period_end",
"op": "lte",
"value": "2026-06-30"
}
],
"page": {
"limit": 1000,
"cursor": null
}
}
响应示例
实际结果随数据更新而变化;data 为空数组表示请求范围内没有可返回的记录。
{
"datasetId": "stock.income_statement",
"fields": [
"asset_id",
"security_code",
"security_name",
"reporting_period_end",
"announcement_date",
"actual_announcement_date",
"statement_type",
"company_type",
"reporting_period_type"
],
"data": [
{
"actual_announcement_date": "2026-08-15",
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"company_type": "bank",
"reporting_period_end": "2026-06-30",
"reporting_period_type": null,
"security_code": "000001.SZ",
"security_name": null,
"statement_type": "consolidated"
},
{
"actual_announcement_date": "2026-08-15",
"announcement_date": "2026-08-15",
"asset_id": "XSHE:000001",
"company_type": "bank",
"reporting_period_end": "2026-06-30",
"reporting_period_type": null,
"security_code": "000001.SZ",
"security_name": null,
"statement_type": "consolidated"
}
],
"page": {
"nextCursor": null,
"complete": true
}
}